@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

@font-face {
    font-family: 'ArialNarrow';
    src: url('../font/arialnarrow.ttf') format('truetype');
}

main{
    position: relative;
    height: 100%;
    display: block;
    flex-direction: column;
    justify-content: start;
    overflow: auto;
    scrollbar-width: none;
}

#section-perfil{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-top: 7rem;
}

#logo-usuario{
    width: 165px;
}

.button-24 {
  background: #FF4742;
  border: 1px solid #FF4742;
  border-radius: 6px;
  box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 4px;
  box-sizing: border-box;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family:"Poppins", sans-serif;
  font-size: 14px;
  font-weight: 500;
  line-height: 16px;
  width: 100%;
  box-sizing: border-box;
  min-height: 40px;
  outline: 0;
  padding: 6px 7px;
  text-align: center;
}


#nome-usuario {
    background-color: #0f7ebc;
    padding: 0.5rem 3.5rem;
    border-radius: 6px;
    margin: 0;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -30px;
    width: 140px;
    font-size: 1rem;
    font-weight: 500;
    transform: translateX(-50%);
}

#roda{
    width: 320px;
    position: absolute;
    z-index: -1;
    top: -95px;
}

#descricao-perfil{
    font-size: 1.2rem;
    font-weight: 400;
    color: black;
    text-align: center;
    font-family: 'ArialNarrow', sans-serif;
    margin-bottom: 4rem;
    margin-top: 2.5rem;
    margin-left: 0.8rem;
    margin-right: 0.8rem;
}

.img_perfil{
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
}

.div-perfil{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin: 1rem;
    background-color: white;
    padding: 1rem;
    border-radius: 10px;
}

.inputs_perfil{
    width: 100%;
    background-color: white;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 6px;
    outline: none;
    line-height: 1.15;
    padding-left: 2.5rem;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    border: 1px solid #9d9d9d8c;
}

.input-container{
    display: flex;
    align-items: center;
    gap: 0.4rem;
    width: 100%;
    position: relative;
}


.div_icone{
    font-size: 16px;
    width: 18px;
    text-align: center;
    position: absolute;
    color: #43434d;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.btn_salvar{
    width: 100%;
    background-color: #0079ba;
    color: #242424;
    padding: .15rem .5rem;
    min-height: 40px;
    border-radius: 6px;
    outline: none;
    border: none;
    line-height: 1.15;
    font-family:"Poppins", sans-serif;
    box-shadow: 0px 10px 20px -18px;
    box-sizing: border-box;
    color: white;
    cursor: pointer;
    font-size: 14px;
    font-weight: 500;
}

.div_historico{
    background-color: white;
    border-radius: 10px;
    padding: 1rem;
    color: black;
    margin: 1rem;
    margin-bottom: 6rem;
}

.card_historico_pontos{
    display: flex;
    gap: 0.6rem;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 10px;
    margin-left: 12px;
    margin-top: 0.8rem;
}

.container_atividades{
    border-left: 2px solid #2563eb;
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.icone_data {
    font-size: 18px;
    background-color: #e0f2fe;
    color: #2563eb;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    margin-left: -20px;
}

.texto_historico{
    font-size: 18px;
    font-weight: 600;
    margin: 0;
}

.descricao_historico{
    font-size: 14px;
    color: #71717A;
    font-weight: 400;
    margin: 0;
}

.titulo_historico_pontos{
    font-size: 14px;
    margin: 0;
    font-weight: 500;
}

.descricao_historico_pontos{
    font-size: 14px;
    color: #71717A;
    margin: 0;
    font-weight: 500;
}

.texto_xp{
    font-size: 12px;
    margin: 0;
    font-weight: 600;
    color: #0d9488;
    text-wrap-mode: nowrap;
}

.div_card_atividade{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;
    background-color: #f1f5f9;
    padding: 0.6rem;
    border-radius: 6px;
}

.div_data_historico{
    gap: 0.4rem;
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.container_datas{
    display: flex;
    flex-direction: column;
}

.div_titulo_nivel{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.div_nivel_xp{
    display: flex;
    flex-direction: column;
}

.xp_proximo{
    align-self: flex-end;
    margin: 0;
    font-size: 12px;
    font-weight: 400;
}

.titulo_nivel{
    font-size: 14px;
    margin: 0;
    font-weight: 600;
    color: black;
}

.descricao_nivel{
    font-size: 12px;
    margin: 0;
    font-weight: 600;
    color: #71717A;
}

.container_nivel{
    width: 100%;
    background: linear-gradient(135deg, #e0f7e9, #d0ebff, #fff4cc);
    box-sizing: border-box;
    border-radius: 6px;
    padding: 10px;
    color: #000;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    margin-bottom: 1rem
}

.texto_xp_atual {
    font-size: 12px;
    font-weight: 600;
    margin: 0;
    text-wrap-mode: nowrap;
    padding: 0.2rem 0.4rem;
    background-color: white;
    border: 1px solid #0000002b;
    border-radius: 100px;
}

.barra_progresso {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 8px;
    border-radius: 6px;
    background: #e0e0e0;
    pointer-events: none; /* impede interação */
    position: relative;
    overflow: hidden;
}

/* faixa preenchida (WebKit) */
.barra_progresso::-webkit-slider-runnable-track {
    height: 8px;
    background: #e0e0e0;
}

.barra_progresso::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 0;
    height: 0;
    background: transparent;
    box-shadow: -1000px 0 0 1000px black;
    border: none;
    pointer-events: none;
}

/* faixa preenchida (Firefox) */
.barra_progresso::-moz-range-track {
    height: 8px;
    background: #e0e0e0;
}

.barra_progresso::-moz-range-progress {
    background: black;
    height: 8px;
    border-radius: 6px;
}

.barra_progresso::-moz-range-thumb {
    width: 0;
    height: 0;
    background: transparent;
    border: none;
}

.foto-container {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.img_perfil {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #ccc;
}

.icone-upload {
    position: absolute;
    bottom: 10px;
    right: 8px;
    background: #fff;
    padding: 5px;
    border-radius: 50%;
    font-size: 16px;
    color: #555;
    box-shadow: 0 0 4px rgba(0,0,0,0.2);
}
